Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.riff
Interface RIFFVisitor

    public interface RIFFVisitor

RIFFVIsitor is notified each time the RIFFParser visits a data chunk and when a group is entered or leaved.

Version:
  1.0 2005-01-09 Created.

Method Summary
`void` | `enterGroup(RIFFChunk group)` This method is invoked when the parser enters a group chunk.
`boolean` | `enteringGroup(RIFFChunk group)` This method is invoked when the parser attempts to enter a group.
`void` | `leaveGroup(RIFFChunk group)` This method is invoked when the parser leaves a group chunk.
`void` | `visitChunk(RIFFChunk group, RIFFChunk chunk)` This method is invoked when the parser has read a data chunk or has skipped a stop chunk.

Method Detail

### enteringGroup

    boolean enteringGroup(RIFFChunk group)

  This method is invoked when the parser attempts to enter a group. The visitor can return false, if the parse shall skip the group contents.

  Parameters:
    `group` -
  Returns:
    True to enter the group, false to skip over the group.

### enterGroup

    void enterGroup(RIFFChunk group)
                    throws ParseException,
                           AbortException

  This method is invoked when the parser enters a group chunk.

  Throws:
    `ParseException`
    `AbortException`

### leaveGroup

    void leaveGroup(RIFFChunk group)
                    throws ParseException,
                           AbortException

  This method is invoked when the parser leaves a group chunk.

  Throws:
    `ParseException`
    `AbortException`

### visitChunk

    void visitChunk(RIFFChunk group,
                    RIFFChunk chunk)
                    throws ParseException,
                           AbortException

  This method is invoked when the parser has read a data chunk or has skipped a stop chunk.

  Throws:
    `ParseException`
    `AbortException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD